Quassel IRC - Bug #507

Don't invoke notification backends for Messages with self flag set
01/29/2009 01:09 PM - pennywise

Status: Resolved Start date: 01/29/2009
Priority: Normal Due date: 02/16/2009
Assignee: Sputnick % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

| have currently some issues with my network. Due to that, | have a log around 4-5 seconds betwenn quasselclient (win) and
quasselcore (linux).

When | write someone something in a query, minimize the client and "do some work", after 4-5 seconds (due to the lag | guess) the
notify with my message pops up.

So my next guess is: A notify is shown if something happened while the window is minimized.

Better would be: A notify is shown if something new happened which DIDN'T originate from me, while the window is minimized. I'm
using e94adb7dab9f1dfcb9f792912a365e6c72728d82 on Windows XP

Associated revisions

Revision dc2aa39d20b60e7cd8e0ba66cabc9ed729add008 - 02/11/2009 11:37 PM - Manuel Nickschas

Don't invoke notifications for own messages, fixes #507

Revision dc2aa39d - 02/11/2009 11:37 PM - Manuel Nickschas

Don't invoke notifications for own messages, fixes #507

History

#1 - 01/29/2009 01:51 PM - EgS

- Status changed from New to Feedback

If understood the issue correctly, then the title doesn't really fit. In general Quassel should never notify about messages that have the self-flag set.
This flag indicates that you wrote that message.

In case that doesn't work for you the title should be imho rather be something like "quassel notifies about own messages".

#2 - 02/11/2009 01:20 AM - EgS

- Subject changed from Tooltip comes a little "late" to Don't invoke notification backends for Messages with self flag set
- Due date set to 02/16/2009

- Assignee set to Sputnick

- Target version set to 0.4.0

- OS set to Any
Sput: I'm assigning this to you, as you're the notification backend guy
#3 - 02/11/2009 09:37 AM - pennywise

I'm not sure what exactly triggers this event, maybe a highlighting rule is intervening as well. And yes, you're right, my title for this bug wasn't that
clear.

#4 - 02/11/2009 11:48 PM - Sputnick
- Status changed from Feedback to Resolved

- % Done changed from 0 to 100
https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/e94adb7dab9f1dfcb9f792912a365e6c72728d82

Applied in changeset dc2aa39d20b60e7cd8e0bab6cabc9ed729add008.
